/*
 * videowin.h
 *
 *  Created on: 03/mar/2022
 *      Author: chessaa
 */

#ifndef VIDEOWIN_H_
#define VIDEOWIN_H_

struct gc_vcr_frame_t
{
	unsigned int fnum;
	unsigned int dx;
	unsigned int dy;
	unsigned int stride;

	unsigned int validity;
	unsigned int time_tag;
	unsigned int batch_tag;
	unsigned int mission_date;
	unsigned int mission_time;

	unsigned int video_marker;

	unsigned int spare[8];

	int palette_updated;
	unsigned int palette[256];
	//unsigned char image[512][640];
};

void RisWinStart(unsigned int wmode, unsigned int w_flags, int display_num, int dx, int dy, int wx, int wy, unsigned int bg);

//int gc_remote_intruder(const uint8_t* src, unsigned int /*rows*/, unsigned int /*cols*/, unsigned int pitch, uint32_t* new_palette);

int gc_remote_intruder(const gc_vcr_frame_t* frame);
void gc_set_file_name(const char* fn);

void win_sleep(unsigned int ms);

void gc_save();

void gc_close();

#endif /* VIDEOWIN_H_ */
